Gecode::Int::LDSB::VariableSymmetryObject Class Reference

Implementation of a variable symmetry at the modelling level. More...

`#include <ldsb.hh>`

## Public Member Functions

| VariableSymmetryObject (ArgArray< VarImpBase * > vars)
| Constructor for creation.
| ~VariableSymmetryObject (void)
| Destructor.
Public Member Functions inherited from Gecode::Int::LDSB::SymmetryObject
| SymmetryObject (void)
| Default constructor.
virtual | ~SymmetryObject (void)
| Destructor.

## Public Attributes

VarImpBase ** | xs
| Array of variables in symmetry.
int | nxs
| Number of variables in symmetry.
Public Attributes inherited from Gecode::Int::LDSB::SymmetryObject
int | nrefs
| Number of references that point to this symmetry object.

## Detailed Description

Implementation of a variable symmetry at the modelling level.

Definition at line 116 of file ldsb.hh.

## Constructor & Destructor Documentation

## VariableSymmetryObject()

Gecode::Int::LDSB::VariableSymmetryObject::VariableSymmetryObject | ( | ArgArray< VarImpBase * > | vars | ) |

Constructor for creation.

Definition at line 80 of file sym-obj.cpp.

## ~VariableSymmetryObject()

Gecode::Int::LDSB::VariableSymmetryObject::~VariableSymmetryObject | ( | void |  | ) |

Destructor.

Definition at line 86 of file sym-obj.cpp.

## Member Data Documentation

## xs

VarImpBase** Gecode::Int::LDSB::VariableSymmetryObject::xs

Array of variables in symmetry.

Definition at line 119 of file ldsb.hh.

## nxs

int Gecode::Int::LDSB::VariableSymmetryObject::nxs

Number of variables in symmetry.

Definition at line 121 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/sym-obj.cpp